<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ironspeed.com/designer">
  <Generator>Iron Speed Designer</Generator>
  <Version>5.1</Version>
  <Self>
    <Name>AddEmployeesPage</Name>
    <Type>Page</Type>
    <GenerateDirectory>Employees</GenerateDirectory>
    <Layout>Employees\AddEmployeesPage.html</Layout>
    <DisplayName>AddEmployeesPage</DisplayName>
    <Description>Standard record panel.</Description>
    <CheckSum>CUSTOMIZED</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>Address</Name>
      <Type>FieldValue</Type>
      <Field>Address</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>AddressRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>AddressLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Address</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Address</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>BirthDate</Name>
      <Type>FieldValue</Type>
      <Field>BirthDate</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>BirthDateRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>DateSelectorType</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>BirthDateLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>BirthDate</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%BirthDate</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CancelButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Cancel</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>City</Name>
      <Type>FieldValue</Type>
      <Field>City</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CityRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CityLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>City</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%City</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Country</Name>
      <Type>FieldValue</Type>
      <Field>Country</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CountryRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CountryLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Country</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Country</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CreatedBy</Name>
      <Type>FieldValue</Type>
      <Field>CreatedBy</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CreatedByRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>LoadData</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>SaveData</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Me.Page.SystemUtils.GetLoginId()</Value>
          <Type>InlineUnencoded</Type>
        </Attribute>
        <Attribute>
          <Name>Visible</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CreatedByLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>CreatedBy</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%CreatedBy</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CreatedOn</Name>
      <Type>FieldValue</Type>
      <Field>CreatedOn</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CreatedOnRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>LoadData</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>SaveData</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>DateTime.Now.ToString()</Value>
          <Type>InlineUnencoded</Type>
        </Attribute>
        <Attribute>
          <Name>Visible</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CreatedOnLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>CreatedOn</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%CreatedOn</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EmployeesRecordControl</Name>
      <Type>Record</Type>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>AddRecord</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>URL</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>VirtualId</Name>
          <Value>0</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EmployeesTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Add Employees</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Extension</Name>
      <Type>FieldValue</Type>
      <Field>Extension</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>ExtensionRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ExtensionLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Extension</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Extension</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FirstName</Name>
      <Type>FieldValue</Type>
      <Field>FirstName</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>FirstNameRequiredFieldValidator:Enabled</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>FirstNameRequiredFieldValidator:Text</Name>
          <Value>*</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FirstNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>FirstName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%FirstName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>HireDate</Name>
      <Type>FieldValue</Type>
      <Field>HireDate</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>DateSelectorType</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>HireDateRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>HireDateLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>HireDate</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%HireDate</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>HomePhone</Name>
      <Type>FieldValue</Type>
      <Field>HomePhone</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>HomePhoneRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>HomePhoneLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>HomePhone</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%HomePhone</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>LastName</Name>
      <Type>FieldValue</Type>
      <Field>LastName</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>LastNameRequiredFieldValidator:Enabled</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>LastNameRequiredFieldValidator:Text</Name>
          <Value>*</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>LastNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>LastName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%LastName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Menu</Name>
      <Type>Menu</Type>
      <Layout>..\Menu Panels\Menu.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>HiliteSettings</Name>
          <Value>EmployeesMenuItem</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Notes</Name>
      <Type>FieldValue</Type>
      <Field>Notes</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>Columns</Name>
          <Value>60</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NotesRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>RichTextEditorType</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>Rows</Name>
          <Value>6</Value>
        </Attribute>
        <Attribute>
          <Name>TextMode</Name>
          <Value>MultiLine</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>NotesLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Notes</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Notes</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageFooter</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageHeader</Name>
      <Type>Header</Type>
      <Layout>..\Header and Footer\Header.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>&lt;%#String.Concat(GetResourceValue("Title:Add", "Training1")," Employees") %&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PostalCode</Name>
      <Type>FieldValue</Type>
      <Field>PostalCode</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>PostalCodeRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PostalCodeLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>PostalCode</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%PostalCode</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Region</Name>
      <Type>FieldValue</Type>
      <Field>Region</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>RegionRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>RegionLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Region</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Region</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ReportsTo</Name>
      <Type>FieldValue</Type>
      <Field>ReportsTo</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>ReportsToRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ReportsToLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>ReportsTo</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%ReportsTo</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SaveAndNewButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>true</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>UpdateData</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:SaveNNew</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>PostBack</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>SaveButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>true</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>UpdateData</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Save</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>PostBack</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Title</Name>
      <Type>FieldValue</Type>
      <Field>Title</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>TitleRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>TitleLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Title</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%Title</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>TitleOfCourtesy</Name>
      <Type>FieldValue</Type>
      <Field>TitleOfCourtesy</Field>
      <FieldValueStyle>TextBox</FieldValueStyle>
      <Table>Employees</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>CssClass</Name>
          <Value>field_input</Value>
        </Attribute>
        <Attribute>
          <Name>EnableIncrementDecrementButtons</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>TitleOfCourtesyRequiredFieldValidator:Enabled</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>TitleOfCourtesyLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>EmployeesRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>TitleOfCourtesy</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Employees</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Employees%TitleOfCourtesy</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>EmployeesRecordControl</InsideControl>
    </ContainedComponent>
  </ComposedOf>
  <PageDefinition>&lt;![CDATA[&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;PageDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Self&gt;
    &lt;Name&gt;AddEmployeesPage&lt;/Name&gt;
    &lt;Version&gt;5.1&lt;/Version&gt;
    &lt;Generator&gt;Iron Speed Designer&lt;/Generator&gt;
    &lt;Title&gt;{Title:Add} Employees&lt;/Title&gt;
    &lt;Description&gt;Standard record panel.&lt;/Description&gt;
    &lt;DisplayName&gt;AddEmployeesPage&lt;/DisplayName&gt;
    &lt;GenerateDirectory&gt;Employees&lt;/GenerateDirectory&gt;
    &lt;Layout&gt;Employees\AddEmployeesPage.html&lt;/Layout&gt;
    &lt;Type&gt;Page&lt;/Type&gt;
    &lt;PageLayoutName /&gt;
  &lt;/Self&gt;
  &lt;HasSkipNavigationLink&gt;false&lt;/HasSkipNavigationLink&gt;
  &lt;HasMenu&gt;true&lt;/HasMenu&gt;
  &lt;Menus&gt;
    &lt;Menu&gt;
      &lt;Name&gt;Menu&lt;/Name&gt;
      &lt;Layout&gt;..\Menu Panels\Menu.html&lt;/Layout&gt;
      &lt;HiliteSettings&gt;EmployeesMenuItem&lt;/HiliteSettings&gt;
      &lt;Orientation&gt;HORIZONTAL&lt;/Orientation&gt;
      &lt;ImageURL&gt;~/Images/MLMBullet2.gif&lt;/ImageURL&gt;
      &lt;IsPresentInMenu&gt;true&lt;/IsPresentInMenu&gt;
      &lt;DisplayName&gt;{Menu:Add} Employees&lt;/DisplayName&gt;
      &lt;Type /&gt;
      &lt;Tooltip&gt;{Menu:Add} Employees&lt;/Tooltip&gt;
      &lt;Level&gt;2&lt;/Level&gt;
      &lt;Order&gt;100&lt;/Order&gt;
      &lt;Parents&gt;
        &lt;MenuNode&gt;
          &lt;NodeName&gt;Employees&lt;/NodeName&gt;
          &lt;NodeLevel&gt;1&lt;/NodeLevel&gt;
          &lt;ImageURL&gt;~/Images/MLMBullet1.gif&lt;/ImageURL&gt;
        &lt;/MenuNode&gt;
      &lt;/Parents&gt;
    &lt;/Menu&gt;
  &lt;/Menus&gt;
  &lt;HasHeader&gt;true&lt;/HasHeader&gt;
  &lt;Header&gt;
    &lt;Name&gt;PageHeader&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Header.html&lt;/Layout&gt;
  &lt;/Header&gt;
  &lt;Panels&gt;
    &lt;Panel&gt;
      &lt;ID&gt;1&lt;/ID&gt;
      &lt;Name&gt;EmployeesRecordControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;EmployeesFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;ButtonGroupName&gt;EmployeesButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;0&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;AddRecord&lt;/DataSource&gt;
      &lt;DataSourceArg&gt;Employees&lt;/DataSourceArg&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;LastName&lt;/FieldName&gt;
          &lt;Name&gt;LastNameLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;FirstName&lt;/FieldName&gt;
          &lt;Name&gt;FirstNameLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Title&lt;/FieldName&gt;
          &lt;Name&gt;TitleLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;TitleOfCourtesy&lt;/FieldName&gt;
          &lt;Name&gt;TitleOfCourtesyLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;BirthDate&lt;/FieldName&gt;
          &lt;Name&gt;BirthDateLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;HireDate&lt;/FieldName&gt;
          &lt;Name&gt;HireDateLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Address&lt;/FieldName&gt;
          &lt;Name&gt;AddressLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;City&lt;/FieldName&gt;
          &lt;Name&gt;CityLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Region&lt;/FieldName&gt;
          &lt;Name&gt;RegionLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;PostalCode&lt;/FieldName&gt;
          &lt;Name&gt;PostalCodeLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Country&lt;/FieldName&gt;
          &lt;Name&gt;CountryLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;HomePhone&lt;/FieldName&gt;
          &lt;Name&gt;HomePhoneLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Extension&lt;/FieldName&gt;
          &lt;Name&gt;ExtensionLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Notes&lt;/FieldName&gt;
          &lt;Name&gt;NotesLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;ReportsTo&lt;/FieldName&gt;
          &lt;Name&gt;ReportsToLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;CreatedOn&lt;/FieldName&gt;
          &lt;Name&gt;CreatedOnLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;CreatedBy&lt;/FieldName&gt;
          &lt;Name&gt;CreatedByLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;LastName&lt;/FieldName&gt;
          &lt;Name&gt;LastName&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;FirstName&lt;/FieldName&gt;
          &lt;Name&gt;FirstName&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Title&lt;/FieldName&gt;
          &lt;Name&gt;Title&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;TitleOfCourtesy&lt;/FieldName&gt;
          &lt;Name&gt;TitleOfCourtesy&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;BirthDate&lt;/FieldName&gt;
          &lt;Name&gt;BirthDate&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Date&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;HireDate&lt;/FieldName&gt;
          &lt;Name&gt;HireDate&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Date&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Address&lt;/FieldName&gt;
          &lt;Name&gt;Address&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;City&lt;/FieldName&gt;
          &lt;Name&gt;City&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Region&lt;/FieldName&gt;
          &lt;Name&gt;Region&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;PostalCode&lt;/FieldName&gt;
          &lt;Name&gt;PostalCode&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Country&lt;/FieldName&gt;
          &lt;Name&gt;Country&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;HomePhone&lt;/FieldName&gt;
          &lt;Name&gt;HomePhone&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Extension&lt;/FieldName&gt;
          &lt;Name&gt;Extension&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Notes&lt;/FieldName&gt;
          &lt;Name&gt;Notes&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Very Large String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;ReportsTo&lt;/FieldName&gt;
          &lt;Name&gt;ReportsTo&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Number&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;CreatedOn&lt;/FieldName&gt;
          &lt;Name&gt;CreatedOn&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Date&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;CreatedBy&lt;/FieldName&gt;
          &lt;Name&gt;CreatedBy&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;EmployeesRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Employees&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;TextBox&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;FilterGroupName&gt;EmployeesFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName /&gt;
      &lt;GrandTotalGroup&gt;EmployeesGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;EmployeesGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;false&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;false&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;false&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;false&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;false&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;false&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;false&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;false&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;EmployeesHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;EmployeesPageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;EmployeesPageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination /&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;EmployeesTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;Add {TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;EmployeesTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;EmployeesTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;false&lt;/HasPanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Entry\Add Record - Label on Side.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Label on Side&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Add One Record&lt;/PanelType&gt;
      &lt;RecordRowName&gt;EmployeesRecordRow&lt;/RecordRowName&gt;
      &lt;SearchGroupName&gt;EmployeesSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;EmployeesRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;Employees&lt;/TableName&gt;
      &lt;TabContainerName&gt;EmployeesTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;EmployeesTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;EmployeesToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip&gt;Add individual database records.  Optionally includes child tables (one-to-many relationships).&lt;/ToolTip&gt;
      &lt;XSLTemplateName&gt;AddRecord-LabelonSide&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
  &lt;/Panels&gt;
  &lt;HasFooter&gt;true&lt;/HasFooter&gt;
  &lt;Footer&gt;
    &lt;Name&gt;PageFooter&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Footer.html&lt;/Layout&gt;
  &lt;/Footer&gt;
  &lt;PageButtons&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;SaveButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;SaveButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;true&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;UpdateData&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Save&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;SaveAndNewButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;SaveAndNewButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;true&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;UpdateData&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL /&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:SaveNNew&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;CancelButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;CancelButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Cancel&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
  &lt;/PageButtons&gt;
  &lt;HasRecordPanel&gt;true&lt;/HasRecordPanel&gt;
  &lt;ChildPanelLayoutStyle&gt;Tabbed&lt;/ChildPanelLayoutStyle&gt;
&lt;/PageDefinition&gt;]]&gt;</PageDefinition>
</ComponentDefinition>